<?php

App::uses('CakeEventListener', 'Event');
App::uses('CustomEmail', 'Lib');

class EnquiryListener implements CakeEventListener {

	public function implementedEvents() {
		return array(
			'Model.Enquiry.created' => 'sendEnquiryEmail'
		);
	}

	public function sendEnquiryEmail(CakeEvent $Event) {
		// Send the enquiry email
		$Email = new CustomEmail();

		$data = ClassRegistry::init('BuzzContact.Enquiry')->find(
			'first',
			array(
				'contain' => array(
					'EnquiryType'
				),
				'conditions' => array(
					'Enquiry.id' => $Event->data['id']
				)
			)
		);

		$Email->template('BuzzContact.enquiry_email');
		$Email->to(array(Configure::read('SiteSetting.admin_email') => Configure::read('SiteSetting.site_title')));
		$Email->from(array($data['Enquiry']['email'] => $data['Enquiry']['name']));
		$Email->subject(__d('BuzzContact', 'Site Enquiry (%s)', [Configure::read('SiteSetting.site_title')]));
		$Email->viewVars(['data' => $data]);
		$Email->helpers(array(
			'Html',
			'Text',
			'BuzzTranslate.I18n'
		));
		$Email->send();

		return;
	}

}
